function slice3D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  u=@(x,y,z) 2*cos(x).*sin(y+z);
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMeshArrays('3D',3);
  U3=fc_meshtools.eval(u,q3);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3D',1);
 
  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]);
  fc_graphics4mesh.slicemesh(q3,me3,P)
  hold on
  fc_graphics4mesh.slice(q3,me3,U3,P)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]);
  fc_graphics4mesh.slice(q3,me3,U3,P)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1]);% ...
  fc_graphics4mesh.slice(q3,me3,U3,P)
  fc_graphics4mesh.plotmesh(q1,me1,'color','k', 'LineWidth',2)
  axis off; axis image
  colorbar
  
  figure(2)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 -1 1])];
  colormap('jet')
  fc_graphics4mesh.slice(q3,me3,u,P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k', 'LineWidth',2)
  axis off; axis image  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
