function varargout=VerticesIdxSimpRef(d,k)
% 
  if d==0
    Idx=1;cIdx=[];
  else
    Kref=fc_hypermesh.CG.NodesSimpRef(d,k);
    Idx=zeros(1,d+1);
    Idx(1)=find(sum(Kref,1)==0);
    for i=1:d
      Idx(i+1)=find(Kref(i,:)==1);
    end
    cIdx=setdiff(1:size(Kref,2),Idx);
  end
  if nargout>=1, varargout{1}=Idx; end
  if nargout==2, varargout{2}=setdiff(1:size(Kref,2),Idx); end
end
