function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2010 F. Cuvelier
%
  S=struct('name','fc-siplt', 'tag','0.2.1','commit','19a9b750f3ceb5fda04694fa3c4d1bb12a3dbdbc','date', '2020-03-08','time','08-44-25','status',0);return; % automatically updated
  rep=fc_siplt.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-siplt','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
